package com.example.listexample;

import androidx.appcompat.app.AppCompatActivity;

import android.os.Bundle;
import android.view.View;
import android.widget.ArrayAdapter;
import android.widget.Button;
import android.widget.EditText;
import android.widget.ListView;

import java.util.ArrayList;

public class MainActivity extends AppCompatActivity {

    EditText et_name,et_stuno;
    Button bt_add;
    ListView lv_Students;

    ArrayList<String> AllStu=new ArrayList<>();

    ArrayAdapter<String> adapter;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

        et_name=findViewById(R.id.editTextTextPersonName2);
        et_stuno=findViewById((R.id.editTextTextPersonName));
        bt_add=findViewById(R.id.button);
        lv_Students=findViewById(R.id.listv);

        adapter=new ArrayAdapter<>(this, android.R.layout.simple_list_item_1,AllStu);
       // adapter=new ArrayAdapter<>(this, androidx.appcompat.R.layout.support_simple_spinner_dropdown_item,AllStu);
        bt_add.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {

                AllStu.add(et_name.getText().toString()+" "+et_stuno.getText().toString());
                adapter.notifyDataSetChanged();
            }
        });





        lv_Students.setAdapter(adapter);

    }
}